Subject: [Sip] SIP WG status

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Fri, 20 Jul 2007 15:15:10 +0200

This is to give an overview of the current work in the SIP WG

Regards

Keith

Documents published since IETF#68 = 2
-------------------------------------

draft-ietf-sip-mib-12 as RFC 4780 (Proposed standard) (Thanks to Kevin
Lingle, Jean-Francois Mule, Joon Maeng, Dave Walker)

draft-ietf-sip-connected-identity-05  (Proposed standard) as RFC 4916
(Thanks to John Elwell)

Documents in RFC editor's queue = none
--------------------------------------

Documents now with IESG = 11
----------------------------

draft-ietf-sip-e2m-sec-06 (Proposed standard)
Dean Willis is document shepherd 
IESG last call completed 14th May 2007. No last call comments. Problems
with proposed standard status
Current status: Waiting for AD Go ahead

draft-ietf-sip-fork-loop-fix-05 (Proposed standard)
Keith Drage is document shepherd
IESG last call completed 14th May 2007. 
No last call comments. Security directorate review identified one
comment, and one open comment exists on SIP list. Will be discussing at
forthcoming meeting
Current status: Waiting for AD Go ahead:: Revised ID needed

draft-ietf-sip-acr-code-05 (Proposed standard)
Dean Willis is document shepherd
IESG last call initiated 6th July 2007 to complete 19th July 2007.
Currently in state: Approved-announcement to be sent :: Point Raised -
writeup needed.

draft-ietf-sip-answermode-02 (Proposed standard)
Keith Drage is document shepherd
IESG last call initiated 10th July 2007 to complete 5th August 2007.
Currently in state: In last call.

draft-ietf-sip-gruu-14 (Proposed standard)
Keith Drage is document shepherd
IESG last call initiated 2nd July 2007 to complete 16th July 2007
Currently in state: IESG evaluation.

draft-ietf-sip-multiple-refer-01  (Proposed standard)
Keith Drage is document shepherd
Currently in publication requested - external party, waiting on
publication request for draft-ietf-sip-consent-framework

draft-ietf-sip-uri-list-message-01  (Proposed standard)
Keith Drage is document shepherd
Currently in publication requested - external party, waiting on
publication request for draft-ietf-sip-consent-framework

draft-ietf-sip-uri-list-conferencing-01  (Proposed standard)
Keith Drage is document shepherd
Currently in publication requested - external party, waiting on
publication request for draft-ietf-sip-consent-framework

draft-ietf-sip-uri-list-subscribe-01  (Proposed standard)
Keith Drage is document shepherd
Currently in publication requested - external party, waiting on
publication request for draft-ietf-sip-consent-framework

draft-ietf-sip-consent-framework-02 (Proposed standard)
Keith Drage is document shepherd
Publication requested 13th July 2007
Currently in state: Publication requested

draft-ietf-sip-ice-option-tag-02 (Proposed standard)
Keith Drage is PROTO document shepherd
Publication requested 17th July 2007
Currently in state: AD evaluation

Documents completed last call awaiting submission to IESG = 1
-------------------------------------------------------------

draft-ietf-sip-certs-04 (Proposed standard)
Dean Willis is document shepherd
Milestone for sending to IESG is June 2007
Token currently with author: waiting on one open issue before new
version and submission

Documents in WGLC = 5
---------------------

draft-ietf-sip-connect-reuse-07
Candidate: Proposed standard
Milestone to IESG August 2007
WGLC began 26th October 2005
Has some form of dependency on 
draft-gurbani-sip-domain-certs-03 
Alternate proposal: draft-rosenberg-sip-outbound-discovery-mid-dialog-00
Currently WG chairs and authors evaluating what we need in the roadmap
here
Direction forward?

draft-ietf-sip-location-conveyance-08 
Candidate: Proposed standard
Milestone for submission to IESG is July 2007
Review team assembled: Authors, WG chairs, Shida Schubert, Joszef Varga,
Henning Schulzrinne, Richard Barnes, Hannes Tschofenig
WGLC initiated 4th March 2007 to complete 2nd April 2007. WGLC also
issued in GEOPRIV WG
See
http://www.softarmor.com/sipwg/reviews/location-conveyance/index.html
for current status of review. New version (-08) issued but still working
WGLC comments
Keith Drage is PROTO document shepherd

draft-ietf-sip-session-policy-framework-01 
Candidate: Proposed standard
SIPPING WG review initiated 4th August 2006 to complete 25th August 2006
Transferred from SIPPING group because contains elements RFC 3427 says
must be done by SIP
Related documents in SIPPING:
draft-ietf-sipping-policy-package-03 
draft-ietf-sipping-media-policy-dataset-03
No major WGLC comments - document to be submitted when revised draft
available
Keith Drage is PROTO document shepherd
Milestone for submission to IESG September 2007

draft-ietf-sip-sips-05 
Candidate: Proposed standard
Milestone for WGLC June 2007
WGLC initiated 29th June 2007 to complete 16th July 2007
Dean Willis is PROTO document shepherd
Milestone for submission to IESG September 2007

draft-ietf-sip-outbound-10
Candidate: Proposed standard
Milestone for WGLC is March 2007
WGLC initiated 9th July 2007 to complete 6th August 2007
Milestone for sending to IESG is June 2007
Review team to supplement WGLC. Review team so far: Authors, WG chairs,
Jonathan Rosenberg, Fredrick Thulin, Kevin Johns, Christer Holmberg, AC
Mahendran, Alan Hawrylyshen, Byron Campen, Derek McDonald, EKR, Nils
Ohlmeier, Francois Audet
Dean Willis is PROTO document shepherd

WG documents still being developed = 8
--------------------------------------

draft-ietf-sip-hop-limit-diagnostics-03
Candidate: Proposed standard
Milestone for WGLC is July 2007
Milestone for submission to IESG is November 2007
Scope of charter item is more general than hop limit diagnostics
Key issue is size of response when it has to traverse UDP transports.
Editor has procedures for reducing size of response body - does this
render the mechanism of limited use if this occurs
Issue has resulted in generation of:
draft-gurbani-sip-large-udp-response-00 
draft-petithuguenin-sip-fragmentation-responses-02
Should document go forward as is?
Draft expired and removed from drafts directory - where next - WG polled

draft-ietf-sip-sec-flows-01
Candidate: Informational
Milestone for WGLC is July 2007
Milestone for submission to IESG is September 2007
To a certain extent dependent on resolution of ideas in (and therefore
waiting on them):
draft-ietf-sip-sips-02  
draft-gurbani-sip-domain-certs-04 
Draft expired and removed from drafts directory 

draft-ietf-sip-saml-02
Candidate: Proposed standard
Milestone for WGLC is September 2007
Milestone for submission to IESG is December 2007

draft-ietf-sip-hitchhikers-guide-03
Candidate: Informational
Milestone for WGLC December 2007
Milestone for submission to IESG December 2007
See also: draft-sinnreich-sip-tools-01

draft-ietf-sip-xcap-config-00 
Candidate: proposed standard
Milestone for WGLC July 2007
Milestone for submission to IESG December 2007
Document transferred from SIPPING because of potential need for new
response code
Related documents in SIPPING
draft-ietf-sipping-config-framework-11
draft-petrie-sipping-identity-dataset-01 
draft-petrie-sipping-profile-datasets-04 
draft-petrie-sipping-sip-dataset-02 
draft-petrie-sipping-voip-features-dataset-01 
See also draft-petrie-sip-event-param-err-00.txt
Waiting on SIPPING rewrite of draft-ietf-sipping-config-framework
OMA liaison - possible interaction with draft-ietf-simple-xcap-diff and
draft-urpalainen-sip-xcap-diff-event-01

draft-rosenberg-sip-ua-loose-route-00 
Agreed as WG item (subject to AD) at IETF#67
Candidate: proposed standard
December 2007: Delivering request-URI and parameters to UAS via proxy to
WGLC
February 2008: Delivering request-URI and parameters to UAS via proxy to
IESG (PS)
Author to submit sip-00 version

draft-ietf-sip-subnot-etags-00
Agreed as WG item (subject to AD) at IETF#67
Candidate: proposed standard
September 2007 -- Extension for use of etags in conditional notification
to WGLC
December 2007 -- Extension for use in etags in conditional notification
to IESG (PS)

draft-ietf-sip-record-route-fix-00
Essential correction?

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Robert Sparks <[email-masked]>
Date: Fri, 20 Jul 2007 10:17:10 -0500

At this point in time, I think yes.

RjS